cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Kemp <drk...@google.com>
Subject Re: Medic/Buildbot - building release versions
Date Thu, 17 Oct 2013 14:36:40 GMT
FYI the commit that updated the plugin names (and would need to be
cherrypicked into 3.1) is:

https://github.com/apache/cordova-mobile-spec/commit/06262fa18baa625003a7e0dc25c740c82ef8baaa




On Thu, Oct 17, 2013 at 10:31 AM, Michal Mocny <mmocny@chromium.org> wrote:

> I think using MS at master with released platform/cli was a powder keg
> waiting to explode.
>
> We shipped a broken 3.1 mobile spec, and so +1 to your suggestion of fixing
> it and moving CI back to test testing cadence releases with the matching
> MobileSpec.
>
> Side note: part of the problem seems to be that mobile spec is both an app
> and a set of plugins, and those plugins (namely the dependency plugin)
> weren't being updated on the plugin update schedule (weekly).  We should
> make a note to do so in the future (or even move MS plugins out to another
> repo and add to registry?)
>
> -Michal
>
>
> On Thu, Oct 17, 2013 at 8:40 AM, David Kemp <drkemp@chromium.org> wrote:
>
> > TL;DR : Android release 3.1 is hard to test again due to added tests (to
> > master) that fail. patching 3.1 mobile-spec would be a good thing.
> >
> > Our plan here was to continuously build iOS and Android, both current
> > release and master (4 builds). To do this we build:
> > IOS_Master : iOS (master), plugins(dev), mobile-spec(master)
> > IOS_Release : iOS (3.1), plugins(master), mobile-spec(master)
> > Android_Master : iOS (master), plugins(dev), mobile-spec(master)
> > Android_Release : iOS (3.1), plugins(master, mobile-spec(master)
> >
> > The reason that mobile-spec master is used for release branches is
> because
> > the plugins were renamed just before 3.1, but the dependencies listed in
> > mobile-spec were not updated.
> > (cordova-mobile-spec/dependencies-plugin/plugin.xml)
> >
> > To avoid that problem, we switched to testing 3.1 with master
> mobile-spec.
> > Until last night that worked.
> >
> > However, now mobile-spec (master) has new tests added that will always
> fail
> > for 3.1.
> >
> > SO, I would like to patch 3.1 mobilespec with the plugin dependencies
> from
> > master.
> >
> > Any concerns?
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message